=== debian/changelog ===
clisp (1:2.49-9ubuntu1) trusty; urgency=medium

  * Remove positive build-depends for s390x. Fixes ftbfs. LP: #1264891

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 03 Apr 2014 07:41:26 +1100

clisp (1:2.49-9) unstable; urgency=medium

  * Enable FFI on arm*
  * Import patch from Roland Stigge adding support for powerpcspe
    (Closes: #731648)

 -- Christoph Egger <christoph@debian.org>  Mon, 23 Dec 2013 20:21:22 +0100

clisp (1:2.49-8.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add armhf to architecture lists
  * Build with -marm on armhf  due to thumb incompatible code (specifically 
    code that does not like odd function pointers)
  * apply patch from sourceforce to fix illegal instruction error on newer
    arm hardware caused by arm assembler (thanks to jerry james and tomfor)
    (closes: 684631)
  * Fix build errors with eglibc 2.17 (closes: 701379)

 -- Peter Michael Green <plugwash@debian.org>  Tue, 07 May 2013 20:39:13 +0000

clisp (1:2.49-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build depend on libdb-dev instead of libdb4.8-dev. Add new patch to
    reflect the fact that Berkeley DB 5.1 no longer supports RPC.
    (Closes: #621377)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Fri, 17 Feb 2012 14:23:49 +0100

clisp (1:2.49-8) unstable; urgency=low

  * Replace dependency on libreadline5-dev with libreadline-gplv2-dev to
    follow that sensless rename
  * Import path from Robert Millan to support kfreebsd-amd64 as well
    (Closes: #633454)

 -- Christoph Egger <christoph@debian.org>  Wed, 13 Jul 2011 05:21:23 +0200

clisp (1:2.49-7) unstable; urgency=low

  * Apply a workaround potentially fixing the s390 problem
  * Output some more info in case the above doesn't work

 -- Christoph Egger <christoph@debian.org>  Fri, 08 Apr 2011 23:43:02 +0200

clisp (1:2.49-6) unstable; urgency=low

  * Output config.log from where it exists

 -- Christoph Egger <christoph@debian.org>  Mon, 04 Apr 2011 18:24:29 +0200

clisp (1:2.49-5) unstable; urgency=low

  * Output config log on failed builds to debug s390 build failure

 -- Christoph Egger <christoph@debian.org>  Mon, 04 Apr 2011 16:27:09 +0200

clisp (1:2.49-4) unstable; urgency=low

  * Adapt package to broken new dh-lisp version. Autobuilders should now produce 
    working packages again.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 17 Mar 2011 10:28:01 +0100

clisp (1:2.49-3) unstable; urgency=low

  * Declare a conflict between clisp and clisp-dev to catch overwriting 
    clisp-link. Missed that during testing. (Closes: #614889) 

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 18 Feb 2011 05:44:09 +0100

clisp (1:2.49-2) unstable; urgency=low

  [ Peter Van Eynde ]
  * Updated debian/README.building with updated information
  * 2.49 also fixes a bug related to store-value. (Closes: #607743) 
  * Go with the flow and convert to use quilt
  * Building for release with branch debian-2.49-2

  [ Luca Capello ]
  * debian/control:
    + remove myself from Uploaders:.

  [ Peter Van Eynde ]
  * Move new-clx demos to the documentation

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 17 Feb 2011 20:38:32 +0100

clisp (1:2.49-1) experimental; urgency=low

  * Use libsigsegv 2.8 should fix a few issues. (Closes: 566686)
  * conflict against libreadline6 as it would be illegal to link 
    against that. (Closes: 553741)
  * Use bash for clisp-link (Closes: #530054)
  * New upstream version (Closes: #462742)3
  * Redid debianization from scratch. 
    (Closes: #504514,#177057,#462085, #488042, #462088, #433592, #433596)
  * Dropped conflicts with ancient versions of clisp. 
  * Changed build system on powerpc, the resulting image
    passes all tests, so should Closes: #592768 
  * We got a fix the 'file with wrong *pathname-encoding* in ~/' bug.
    (Closes: #443520)
  * Fix the build on Sparc by disabling FFI and dynamic modules completely. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 28 Sep 2010 07:31:59 +0200
