## clisp 2.49.60+

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # CLISP Implementation Notes generation
-# (c) 2000-2009 Sam Steingold
+# (c) 2000-2011 Sam Steingold
 
 # To generate HTML, you will need xsltproc & xmllint from the libxml2
 # (http://xmlsoft.org/) package in addition to the DocBook DTDs and XSL
@@ -14,6 +14,7 @@
 IMPNOTES=cl-ent.xml clhs-ent.xml impbody.xml impent.xml mop.xml gray.xml     \
 	impext.xml impissue.xml impbyte.xml unix-ent.xml mop-ent.xml faq.xml \
 	history.xml \
+	../modules/asdf/asdf.xml	        \
 	../modules/berkeley-db/berkeley-db.xml	\
 	../modules/berkeley-db/ent-bdb.xml	\
 	../modules/dbus/dbus.xml		\
@@ -33,7 +34,6 @@
 	../modules/readline/readline.xml	\
 	../modules/regexp/regexp.xml		\
 	../modules/syscalls/syscalls.xml	\
-	../modules/wildcard/wildcard.xml	\
 	../modules/zlib/zlib.xml
 # all used stylesheets
 CLISP_XSL = chunk.xsl common.xsl fo.xsl id-href-map.xsl man.xsl pile.xsl
@@ -96,12 +96,11 @@
 
 # chose one:
 #TEXI2HTML=texi2html -monolithic -verbose $< -out_file $@
-TEXI2HTML=makeinfo --verbose --no-split --no-headers --html $< -o $@
+TEXI2HTML=makeinfo --verbose --no-split --no-headers --force --html $< -o $@
 
 # NB: keep in sync with src/makemake.in:MYIMPROOT
-DIST_PODVAL = podval:~/public_html/clisp
 DIST_SFBETA = sds,clisp@web.sf.net:/home/groups/c/cl/clisp/htdocs/beta
-DIST = ${DIST_PODVAL}
+DIST =
 RSYNC = rsync -avC --copy-unsafe-links
 CHMOD = chmod -R a+rX
 
@@ -132,6 +131,8 @@
 
 ifneq (,$(CATALOG_FILE))
 # depends on Makefile because of $(XSL_PATH)
+# gnu license xml files specify a bad dtd file
+GNU_DTD = http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd
 $(CATALOG_FILE): Makefile
 	$(RM) $(CATALOG_FILE)
 	$(XMLCATALOG) --create > $(CATALOG_FILE)
@@ -139,6 +140,8 @@
 		$(XSL_URI) $(XSL_PATH) $(CATALOG_FILE)
 	$(XMLCATALOG) --noout --add "rewriteSystem" \
 		$(XSL_URI) $(XSL_PATH) $(CATALOG_FILE)
+	$(XMLCATALOG) --noout --add "rewriteURI" \
+		$(GNU_DTD) $(DTD_PATH) $(CATALOG_FILE)
 XSLTPROC=XML_CATALOG_FILES="$(CATALOG_FILE) ${XML_CATALOG_FILES}" xsltproc
 else
 XSLTPROC=xsltproc
@@ -146,7 +149,12 @@
 XMLS_COMMON = --timing --xinclude
 GOOGLEADS=0
 
+# target.database.document in this command is a workaround for bug
+#   warning: failed to load external entity \"olinkdb.xml\"
+#   Olink error: could not open target database \'olinkdb.xml\'.
+# https://sourceforge.net/p/docbook/bugs/1111/
 MAKE_TDB=$(XSLTPROC) $(XMLS_COMMON) --stringparam collect.xref.targets "only" \
+  --stringparam target.database.document "olink-pile.xml" \
 	--stringparam targets.filename
 
 man.tdb: clisp.xml pile.xsl $(GEN_DEPS) $(CATALOG_FILE)
@@ -161,6 +169,7 @@
 chunk.tdb: impnotes.xml $(IMPNOTES) chunk.xsl $(GEN_DEPS) $(CATALOG_FILE)
 	$(MAKE_TDB) "$@" chunk.xsl $<
 
+ifneq (,$(wildcard ../version.sh))
 clisp.xml: clisp.xml.in ../version.sh Makefile
 	$(RM) $@
 	$(FILLIN) $< > $@
@@ -168,6 +177,11 @@
 clisp-link.xml: clisp-link.xml.in ../version.sh Makefile
 	$(RM) $@
 	$(FILLIN) $< > $@
+
+impnotes.xml: impnotes.xml.in $(IMPNOTES) ../version.sh Makefile
+	$(RM) $@
+	$(FILLIN) $< > $@
+endif
 
 XMLOUT=$(XSLTPROC) $(XMLS_COMMON) --param google.ads $(GOOGLEADS) \
 	--stringparam target.database.document
@@ -196,10 +210,6 @@
 
 _%.1: %.1
 	sed $(ROFF_UNCOMMENT) $< > $@
-
-impnotes.xml: impnotes.xml.in $(IMPNOTES) ../version.sh Makefile
-	$(RM) $@
-	$(FILLIN) $< > $@
 
 check: $(IMPNOTES) $(CHECK_DEPS)
 	for f in $(IN_FILES); do \
@@ -232,7 +242,10 @@
 	$(XSLTPROC) $(XMLS_COMMON) -o $@ id-href-map.xsl $<
 
 html: impnotes.xml $(IMPNOTES) $(GEN_DEPS) chunk.xsl pile.xsl clisp.xml $(OLINK) id-href.map
-	if [ ! -h $@ ]; then $(RM) -r $@; ln -s ../../sf/www/impnotes $@; fi
+	if [ ! -h $@ ]; then $(RM) -r $@; \
+	  if [ -d ../../sf/www/impnotes ]; then ln -s ../../sf/www/impnotes $@; \
+	  elif [ -d ../../www/impnotes ]; then ln -s ../../www/impnotes $@; \
+	  else echo 'no sf/www dir'; false; fi; fi
 	cd $@/ && grep -v -e "^#" .symlinks | sed 's/^/ln -vf /' | sh -
 	cp -pv impnotes.css id-href.map $@/
 	$(XMLOUT) "olink-chunk.xml" $(DOC_IMP) -o $@/ chunk.xsl $<
@@ -264,9 +277,12 @@
 	$(TEXI2HTML)
 
 clean: force
-	$(RM) impnotes.xml impnotes.texi impnotes.html impnotes.pdf html \
-	  clisp.xml clisp.html clisp.1 *.tdb $(CATALOG_FILE) impnotes.fo \
-	  id-href.map clisp-link.xml clisp-link.html clisp-link.1
+	$(RM) impnotes.texi impnotes.html impnotes.pdf html \
+	  clisp.html clisp.1 *.tdb $(CATALOG_FILE) impnotes.fo \
+	  id-href.map clisp-link.html clisp-link.1
+	test -f impnotes.xml.in && $(RM) impnotes.xml
+	test -f clisp.xml.in && $(RM) clisp.xml
+	test -f clisp-link.xml.in && $(RM) clisp-link.xml
 
 count: $(IMPNOTES)
 	wc $^
@@ -281,12 +297,13 @@
 	$(RSYNC) --port=5873 docbook.xml-doc.org::xsl docbook-xsl
 	grep '<fm:Version>' docbook-xsl/VERSION
 
-impnotes-src.zip : Makefile impnotes.xml clisp.xml clisp-link.xml \
+IMPNOTES_SRC = impnotes-src
+$(IMPNOTES_SRC).zip : Makefile impnotes.xml clisp.xml clisp-link.xml \
 		$(IMPNOTES) $(CLISP_XSL) $(CLISP_CSS)
-	$(RM) $@
-	cd ..; ln -s . clisp; \
-	zip -9 doc/$@ $(subst doc/../,, $(addprefix clisp/doc/, $^)); \
-	$(RM) clisp
+	$(RM) -r $@ $(IMPNOTES_SRC)
+	mkdir $(IMPNOTES_SRC);
+	for f in $^; do sed 's,\.\./modules/[^/]*/,,' $$f > $(IMPNOTES_SRC)/`basename $$f`; done
+	zip -9mvr $@ $(IMPNOTES_SRC)
 	(test -n "$(DIST)" && $(CHMOD) $@ ../src/NEWS && \
 	 $(RSYNC) $@ ../src/NEWS $(DIST)/) || true
