=== debian/changelog ===
clisp (1:2.49.60+-1) unstable; urgency=medium

  * New upstream snapshot release.
    - fixes the -perm problem (Closes: #724767)
  * Imported the changes from experimental:
    * Import patch from Flavio Cruz for hurd, thanks! (Closes: #801260)
    * Remove all patches (apart from hurd/webbugs) for now. Will re-add as
      needed
    * Drop wildcard package; dropped upstream 
  * Use the new libsigsegv to build. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 30 Jun 2017 09:47:30 +0200

clisp (1:2.49-10) unstable; urgency=medium

  * Treat s390x the same way s390 is treated (Closes: #733445)
  * wrap build-depends
  * Remove webbugs as found by lintian
  * Bump standard version

 -- Christoph Egger <christoph@debian.org>  Thu, 05 Jun 2014 13:32:34 +0200
