=== debian/control ===
--- 
+++ 
@@ -1,20 +1,37 @@
 Source: clisp
 Section: lisp
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
+Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Christoph Egger <christoph@debian.org>
-Build-Depends: debhelper (>> 7), gettext, bison, libncurses5-dev, groff, libx11-dev, libxext-dev, libxpm-dev, libsigsegv-dev (>= 2.8), libreadline-gplv2-dev, dh-lisp (>= 0.7.1), libdb-dev, libffcall1-dev , libgdbm-dev , libpq-dev [ !hppa !ia64 !m68k !s390 !mipsel !powerpc !powerpcspe], libpcre3-dev, libdbus-1-dev [ !hppa !ia64 !m68k !s390 !mipsel !powerpc !powerpcspe], zlib1g-dev [ !hppa !ia64 !m68k !s390 !mipsel !powerpc !powerpcspe]
+Build-Depends:
+ debhelper (>> 10),
+ gettext,
+ bison,
+ libncurses5-dev,
+ groff,
+ libx11-dev,
+ libxext-dev,
+ libxpm-dev,
+ libsigsegv-dev (>= 2.11),
+ libreadline-gplv2-dev,
+ dh-lisp (>= 0.7.1),
+ libdb-dev,
+ libffcall1-dev,
+ libgdbm-dev,
+ libpq-dev [ !hppa !ia64 !m68k !s390 !s390x !mipsel !powerpc !powerpcspe],
+ libpcre3-dev,
+ libdbus-1-dev [ !hppa !ia64 !m68k !s390 !s390x !mipsel !powerpc !powerpcspe],
+ zlib1g-dev [ !hppa !ia64 !m68k !s390 !s390x !mipsel !powerpc !powerpcspe]
 Build-Conflicts: libsigsegv-dev (<= 2.8), libreadline6-dev
-Standards-Version: 3.9.1.0
+Standards-Version: 4.0.0
 Homepage: http://www.clisp.org/
-Vcs-Git: http://git.debian.org/git/pkg-common-lisp/clisp.git
-Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/clisp.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/pkg-common-lisp/clisp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-common-lisp/clisp.git/
 
 Package: clisp
 Architecture: alpha amd64 armel armhf armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe kfreebsd-i386 kfreebsd-amd64 armel armhf m68k hurd-i386 s390 s390x s390x sparc
 Pre-Depends: ${xlibs:PreDepends}
-Conflicts: clisp-dev (<< 1:2.49-2)
+Conflicts: clisp-dev (<< 1:2.49.60-1)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: common-lisp-controller (<< 6.19), cl-asdf (<< 2:1.704-1)
 Provides: lisp-compiler, ${clisp:fasl-version}
@@ -82,59 +99,52 @@
 Architecture: alpha amd64 armel armhf armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe kfreebsd-i386 kfreebsd-amd64 armel armhf m68k hurd-i386 s390 s390x s390x
 Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
 Description: clisp module that adds an interface to Berkeley DB
- This adds a module to clisp that implements an interface to the 
+ This adds a module to clisp that implements an interface to the
  Berkeley DB.
 
 Package: clisp-module-pcre
 Architecture: alpha amd64 armel armhf armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe kfreebsd-i386 kfreebsd-amd64 armel armhf m68k hurd-i386 s390 s390x s390x
 Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
 Description: clisp module that adds libpcre support
- This adds a module to clisp that implements an interface to the 
- libpcre which implements Perl-compatible regular expressions. 
+ This adds a module to clisp that implements an interface to the
+ libpcre which implements Perl-compatible regular expressions.
 
-Package: clisp-module-bindings-glibc 
-Architecture: alpha amd64 armel armhf armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386 
+Package: clisp-module-bindings-glibc
+Architecture: alpha amd64 armel armhf armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386
 Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
 Description: clisp module that adds the glibc bindings
- This adds a module to clisp that implements an interface to the 
+ This adds a module to clisp that implements an interface to the
  glibc library, adding support for a number of low level functions.
 
 Package: clisp-module-postgresql
-Architecture: alpha amd64 armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386 
+Architecture: alpha amd64 armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386
 Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
 Description: clisp module that adds a PostgreSQL interface
- This adds a module to clisp that implements an interface to the 
+ This adds a module to clisp that implements an interface to the
  PostgreSQL DB using the C bindings.
 
-Package: clisp-module-clx	      
+Package: clisp-module-clx
 Architecture: alpha amd64 armel armhf armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe kfreebsd-i386 kfreebsd-amd64 armel armhf m68k hurd-i386 s390 s390x
 Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
 Description: clisp module that adds X11 bindings
- This adds a module to clisp that implements an interface to the 
+ This adds a module to clisp that implements an interface to the
  X11 called CLX.
 
 Package: clisp-module-rawsock
 Architecture: alpha amd64 armel armhf armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe kfreebsd-i386 kfreebsd-amd64 armel armhf m68k hurd-i386 s390 s390x
 Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
 Description: clisp module that adds a low level socket interface
- This adds a module to clisp that implements an interface to the 
+ This adds a module to clisp that implements an interface to the
  socket interfaces.
 
-Package: clisp-module-dbus	      
-Architecture: alpha amd64 armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386 
+Package: clisp-module-dbus
+Architecture: alpha amd64 armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386
 Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
 Description: clisp module that adds an interface to D-Bus
- This adds a module to clisp that implements an interface to the 
+ This adds a module to clisp that implements an interface to the
  D-Bus system.
 
-Package: clisp-module-wildcard
-Architecture: alpha amd64 armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386 
-Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
-Description: clisp module that adds wildcard matching
- This adds a module to clisp that implements a wildcard matching, also
- called shell globbing.
-
-Package: clisp-module-gdbm	      
+Package: clisp-module-gdbm
 Architecture: alpha amd64 armel armhf armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe kfreebsd-i386 kfreebsd-amd64 armel armhf m68k hurd-i386 s390 s390x
 Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
 Description: clisp module that adds an interface to GNU DBM
@@ -142,7 +152,7 @@
  GNU DBM.
 
 Package: clisp-module-zlib
-Architecture: alpha amd64 armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386 
+Architecture: alpha amd64 armel armhf i386 mips kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386
 Depends: ${shlibs:Depends}, clisp, ${misc:Depends}
 Description: clisp module that adds zlib support for vectors
  This adds a module to clisp that implements a zlib interface,
