=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	 CFLAGS:=-marm ${CFLAGS}
 endif
 
-ifneq (,$(filter hppa ia64 m68k s390 mipsel powerpc powerpcspe,$(DEB_BUILD_ARCH)))
+ifneq (,$(filter hppa ia64 m68k s390 s390x mipsel powerpc powerpcspe,$(DEB_BUILD_ARCH)))
         # Disable FFI
         FFI:=--without-dynamic-ffi
         MODULES:=--with-module=gdbm --with-module=berkeley-db --with-module=pcre --with-module=rawsock --with-module=clx/new-clx
@@ -41,7 +41,7 @@
 else
         # Enable FFI on all other platforms
         FFI:=--with-dynamic-ffi --with-dynamic-modules
-        MODULES:=--with-module=bindings/glibc --with-module=gdbm --with-module=berkeley-db --with-module=postgresql --with-module=pcre --with-module=wildcard --with-module=zlib --with-module=rawsock --with-module=dbus --with-module=clx/new-clx
+        MODULES:=--with-module=bindings/glibc --with-module=gdbm --with-module=berkeley-db --with-module=postgresql --with-module=pcre --with-module=zlib --with-module=rawsock --with-module=dbus --with-module=clx/new-clx
 endif
 
 configure: configure-stamp
@@ -88,7 +88,7 @@
 	# install the package
 
 	$(MAKE) -C debian/build DESTDIR=$(shell pwd)/debian/tmp install
-	mkdir -p debian/tmp/usr/share/doc debian/tmp/usr/share/man debian/tmp/usr/lib/common-lisp debian/tmp/usr/sbin debian/tmp/usr/bin 
+	mkdir -p debian/tmp/usr/share/doc debian/tmp/usr/share/man debian/tmp/usr/sbin debian/tmp/usr/bin 
 
 	# remove unwanted upstream doc/ files
 	rm debian/tmp/usr/share/doc/clisp/doc/clisp.1 \
@@ -98,21 +98,24 @@
 
 	# Install CLC files
 	install -o root -g root -m 0644 debian/install-clc.lisp \
-		debian/tmp/usr/lib/clisp-2.49
+		debian/tmp/usr/lib/clisp-2.49.60+
 
 	dh_install --sourcedir=debian/tmp
 	# remove docs  from the clx package:
-	if [ -d debian/clisp-module-clx/usr/lib/clisp-2.49/clx/new-clx/demos ] ; then rm -rf debian/clisp-module-clx/usr/lib/clisp-2.49/clx/new-clx/demos ; fi 
+	if [ -d debian/clisp-module-clx/usr/lib/clisp-2.49.60+/clx/new-clx/demos ] ; then rm -rf debian/clisp-module-clx/usr/lib/clisp-2.49.60+/clx/new-clx/demos ; fi 
 	# handle full image if  it exists, normally we do not build it
-	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then mkdir -p debian/clisp-dev/usr/lib/clisp-2.49/full/ ; fi
-	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then mkdir -p debian/clisp/usr/lib/clisp-2.49/full/ ; fi
-	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49/full/*.a debian/clisp-dev/usr/lib/clisp-2.49/full/ ; fi
-	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49/full/*.h debian/clisp-dev/usr/lib/clisp-2.49/full/ ; fi
-	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49/full/makevars debian/clisp-dev/usr/lib/clisp-2.49/full/ ; fi
-	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49/full/lispinit.mem debian/clisp/usr/lib/clisp-2.49/full/ ; fi
-	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then install --owner=root --group=root --mode=0755  debian/tmp/usr/lib/clisp-2.49/full/lisp.run debian/clisp/usr/lib/clisp-2.49/full/ ; fi
-	if [ -d debian/tmp/usr/lib/clisp-2.49/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49/full/*.o debian/clisp/usr/lib/clisp-2.49/full/ ; fi
+	if [ -d debian/tmp/usr/lib/clisp-2.49.60+/full ] ; then mkdir -p debian/clisp-dev/usr/lib/clisp-2.49.60+/full/ ; fi
+	if [ -d debian/tmp/usr/lib/clisp-2.49.60+/full ] ; then mkdir -p debian/clisp/usr/lib/clisp-2.49.60+/full/ ; fi
+	if [ -d debian/tmp/usr/lib/clisp-2.49.60+/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49.60+/full/*.a debian/clisp-dev/usr/lib/clisp-2.49.60+/full/ ; fi
+	if [ -d debian/tmp/usr/lib/clisp-2.49.60+/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49.60+/full/*.h debian/clisp-dev/usr/lib/clisp-2.49.60+/full/ ; fi
+	if [ -d debian/tmp/usr/lib/clisp-2.49.60+/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49.60+/full/makevars debian/clisp-dev/usr/lib/clisp-2.49.60+/full/ ; fi
+	if [ -d debian/tmp/usr/lib/clisp-2.49.60+/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49.60+/full/lispinit.mem debian/clisp/usr/lib/clisp-2.49.60+/full/ ; fi
+	if [ -d debian/tmp/usr/lib/clisp-2.49.60+/full ] ; then install --owner=root --group=root --mode=0755  debian/tmp/usr/lib/clisp-2.49.60+/full/lisp.run debian/clisp/usr/lib/clisp-2.49.60+/full/ ; fi
+	if [ -d debian/tmp/usr/lib/clisp-2.49.60+/full ] ; then install --owner=root --group=root --mode=0644  debian/tmp/usr/lib/clisp-2.49.60+/full/*.o debian/clisp/usr/lib/clisp-2.49.60+/full/ ; fi
 
+
+build-arch: build
+build-indep: build
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -148,7 +151,7 @@
 	dh_shlibdeps -a
 
 #	add FAS file format version to substvars
-	debian/clisp/usr/bin/clisp -Efile utf-8 -B debian/clisp/usr/lib/clisp-2.49 -M debian/clisp/usr/lib/clisp-2.49/base/lispinit.mem debian/fasl-version.lisp
+	debian/clisp/usr/bin/clisp -Efile utf-8 -B debian/clisp/usr/lib/clisp-2.49.60+ -M debian/clisp/usr/lib/clisp-2.49.60+/base/lispinit.mem debian/fasl-version.lisp
 
 	dh_gencontrol -a
 	dh_md5sums  -a
